Subject: bug#15487: program-lambda-list & make-locale documentation

From: Josep Portella Florit <[email-masked]>
Date: Sun, 29 Sep 2013 20:15:25 +0200

Hi!

There is an error in the documentation for program-lambda-list.  It
includes an example that reads:

          (program-lambda-alist
           (lambda* (a b #:optional c #:key (d 1) #:rest e)
             #t)) =>

Notice program-lambda-ALIST instead of program-lambda-LIST.

There is another error in the documentation for make-locale.  The
first example reads:

          (make-locale (list LC_MESSAGE LC_CTYPE) "sv_SE")

But LC_MESSAGE is unbound.  It should be LC_MESSAGES, ending with an
S.

Also, I've noticed I've been added to the THANKS file like this:

[...]
          Barry Fishman
       Kevin J. Fletcher
 Josep Portella Florit
        Charles Gagnon
             Fu-gangqiang
[...]

I think my name should appear like this:

[...]
          Barry Fishman
       Kevin J. Fletcher
          Josep Portella Florit
        Charles Gagnon
             Fu-gangqiang
[...]

Because "Portella Florit" are my surnames.  I can see other Spanish
and Catalan names in the list, like "Jose A Ortega Ruiz", "Lluís
Batlle i Rossell" and "Daniel Llorens del Río" and they are formatted
this way.

Sorry to bother you with this :-)